- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::Registry::ReadFunctor Member List

This is the complete list of members for osgDB::Registry::ReadFunctor, including all inherited members.

_filename | osgDB::Registry::ReadFunctor |
_options | osgDB::Registry::ReadFunctor |
doRead(ReaderWriter &rw) const =0 | osgDB::Registry::ReadFunctor | `[pure virtual]`
isValid(ReaderWriter::ReadResult &readResult) const =0 | osgDB::Registry::ReadFunctor | `[pure virtual]`
isValid(osg::Object *object) const =0 | osgDB::Registry::ReadFunctor | `[pure virtual]`
ReadFunctor(const std::string &filename, const ReaderWriter::Options *options) | osgDB::Registry::ReadFunctor | `[inline]`
~ReadFunctor() | osgDB::Registry::ReadFunctor | `[inline, virtual]`